### Method

# Snapd Alias get_app

deprecated: 1.25 since: 1.8

#### Declaration [src]

    const gchar*
    snapd_alias_get_app (
      SnapdAlias* alias
    )

#### Description [src]

Get the app this is an alias for.

Available since: 1.8

Deprecated since: 1.25

Use `snapd_alias_get_app_manual()` or snapd_alias_get_app_auto().

#### Return value

Type: `const gchar*`

An app name or `NULL`.

The returned data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.